/*CoolFluo evaluate total cooling due to fluorine */
#include "cddefines.h"
#include "taulines.h"
#include "tepowers.h"
#include "putcs.h"
#include "level3.h"
#include "coolmetals.h"

void CoolFluo()
{
	double cs;

#	ifdef DEBUG_FUN
	fputs( "<+>CoolFluo()\n", debug_fp );
#	endif

	/* [F II] 29.33 micron, 67.2 micron
	 * collision strength transition prob
	 * >>refer Galavis, M.E., et al. 1997, A&AS 123, 159
	 * >>refer Buttler, K., & Zeippen, C.J., 1994, A&AS 108, 1 */
	PutCS(0.60,&TauLines[ipF0229]);
	PutCS(0.206,&TauLines[ipF0267]);
	PutCS(0.160,&TauDummy);
	/* subroutine level3( t10,t21,t20) */
	level3(&TauLines[ipF0229],&TauLines[ipF0267],&TauDummy);

	/* collision strength 
	 * >>refer Lennon, D.J. Burke, V.M. 1994, A&AS, 103, 273
	 * [F IV] 44.07 microns */
	cs = MIN2(0.711,0.1245*TePowers.te10*TePowers.te05*TePowers.te01*
	  TePowers.te001*TePowers.te001);
	PutCS(cs,&TauLines[ipF444]);
	/* [F IV] 25.83 microns */
	cs = MIN2(1.89,0.2023*TePowers.te20*TePowers.te003*TePowers.te003);
	PutCS(cs,&TauLines[ipF425]);
	cs = MIN2(0.451,0.02922*TePowers.te20*TePowers.te05);
	PutCS(cs,&TauDummy);
	/* subroutine level3( t10,t21,t20) */
	level3(&TauLines[ipF444],&TauLines[ipF425],&TauDummy);


#	ifdef DEBUG_FUN
	fputs( " <->CoolFluo()\n", debug_fp );
#	endif
	return;
}

