/*dmpary print all coolants for some zone, as from print cooling command */
#include "cddefines.h"
#define	EPS	0.005
#include "zonecnt.h"
#include "tcool.h"
#include "heat.h"
#include "coolants.h"
#include "coolpr.h"
#include "phycon.h"
#include "dmpary.h"

void dmpary(void)
{
	long int i;
	float ratio;

#	ifdef DEBUG_FUN
	fputs( "<+>dmpary()\n", debug_fp );
#	endif

	fprintf( ioQQQ, 
		" This is a print out of the cooling array for zone number %3ld\n", 
	  ZoneCnt.nzone );

	fprintf( ioQQQ, 
		" The total heating was HTOT=%10.2e erg/s/cm3, the total cooling was CTOT=%10.2e, and the temperature was%10.3eK.\n", 
	  heat.htot, tcool.ctot, phycon.te );

	fprintf( ioQQQ, 
		" All coolants greater than%6.2f%% of the total will be printed.\n", 
	  EPS*100. );

	/* flag all significant coolants */
	coolpr("ZERO",1,0.,"ZERO");
	for( i=0; i < Coolants.ncltot; i++ )
	{
		ratio = (float)(Coolants.cooling[i]/tcool.ctot);
		if( fabs(ratio) > EPS )
		{
			coolpr((char*)chCoolants.chClntLab[i],Coolants.collam[i],
			  ratio,"DOIT");
		}

		ratio = (float)(Coolants.heatnt[i]/tcool.ctot);
		if( fabs(ratio) > EPS )
		{
			coolpr((char*)chCoolants.chClntLab[i],Coolants.collam[i],
			  ratio,"DOIT");
		}
	}
	coolpr("DONE",1,0.,"DONE");


#	ifdef DEBUG_FUN
	fputs( " <->dmpary()\n", debug_fp );
#	endif
	return;
}

