/*fndneg search cooling array to find negative values */
#include "cddefines.h"
/*  */
#	ifdef EPS
#undef EPS
#	endif
#define	EPS	0.01
#include "heat.h"
#include "coolants.h"
#include "fndneg.h"

void fndneg(void)
{
	long int i;
	double trig;

#	ifdef DEBUG_FUN
	fputs( "<+>fndneg()\n", debug_fp );
#	endif

	trig = fabs(heat.htot*EPS);
	for( i=0; i < Coolants.ncltot; i++ )
	{
		if( Coolants.cooling[i] < 0. && fabs(Coolants.cooling[i]) > trig )
		{
			fprintf( ioQQQ, " negative line=%4.4s%5ld fraction of heating=%9.3f\n", 
			  chCoolants.chClntLab[i], Coolants.collam[i], Coolants.cooling[i]/
			  heat.htot );
		}

		if( Coolants.heatnt[i] > trig )
		{
			fprintf( ioQQQ, " heating line=%4.4s%5ld fraction of heating=%9.3f\n", 
			  chCoolants.chClntLab[i], Coolants.collam[i], Coolants.heatnt[i]/
			  heat.htot );
		}
	}


#	ifdef DEBUG_FUN
	fputs( " <->fndneg()\n", debug_fp );
#	endif
	return;
}

