/*PunGamma punch photoionization rates for all subshells, with punch gamma command */
#include "cddefines.h"
#include "photrate.h"
#include "yield.h"
#include "nsshells.h"
#include "pungamma.h"

void PunGamma(FILE* io)
{
	long int i, 
	  nion, 
	  nelem, 
	  ns;

#	ifdef DEBUG_FUN
	fputs( "<+>PunGamma()\n", debug_fp );
#	endif

	/* punch photoionization rates, with the PUNCH GAMMAS command */
	for( nelem=0; nelem < LIMELM; nelem++ )
	{
		for( nion=0; nion <= nelem; nion++ )
		{
			for( ns=0; ns < nsShellsCom.nsShells[nion][nelem]; ns++ )
			{
				fprintf( io, "%3ld%3ld%3ld%10.2e%10.2e%10.2e", 
					nelem+1, nion+1, ns+1, 
					PhotRate.PhotoRate[0][ns][nion][nelem], 
					PhotRate.PhotoRate[1][ns][nion][nelem] ,
					PhotRate.PhotoRate[2][ns][nion][nelem] );

				for( i=0; i < yield.nyield[ns][nion][nelem]; i++ )
				{
					fprintf( io, "%5.2f", yield.vyield[i][ns][nion][nelem] );
				}
				fprintf( io, "\n" );
			}
		}
	}


#	ifdef DEBUG_FUN
	fputs( " <->PunGamma()\n", debug_fp );
#	endif
	return;
}

